# Modifying Parameters of a Specified DB Instance

#### Function

This API is used to modify parameters in the parameter template of a specified DB instance.

- Before calling an API, you need to understand the API in Using APIs.
- Before calling this API, obtain the required region and endpoint.

#### Constraints

- The values of the edited parameters must be within the default value range of the specified database version. For details about the range of parameter values, see "Modifying Parameters in a Parameter Template" in the GaussDB(openGauss) User Guide.

#### URI

- URI format

  PUT https://{Endpoint}/opengauss/v3/{project_id}/instances/{instance_id}/configurations

- Example

  https://gaussdb.eu-de.otc.t-systems.com/opengauss/v3/0483b6b16e954cb88930a360d2c4e663/instances/dsfae23fsfdsae3435in01/configurations

- Parameter description

  Table 1 Parameter description
  Name | Mandatory | Description
  --- | --- | ---
  project_id | Yes | Specifies the project ID of a tenant in a region. For details about how to obtain the project ID, see Obtaining a Project ID.
  instance_id | Yes | Specifies the DB instance ID.

#### Request

- Parameter description

  Table 2 Parameter description
  Name | Mandatory | Type | Description
  --- | --- | --- | ---
  values | Yes | Map<String,String> | Specifies the parameter values defined by users based on the default parameter templates. For details, see Table 3.

  Table 3 values field data structure description
  Name | Mandatory | Type | Description
  --- | --- | --- | ---
  key | Yes | String | Specifies the parameter name. For example, for the "failed_login_attempts": "4" parameter, the key is failed_login_attempts.
  value | Yes | String | Specifies the parameter value. For example, for the "failed_login_attempts": "4" parameter, the value is 4.

- Request example

      {
          "values": {
             "xxx": "10",
             "yyy": "OFF"
          }
      }

#### Response

- Normal response

  Table 4 Parameter description
  Name | Type | Description
  --- | --- | ---

  restart_required

  Boolean

  Indicates whether a reboot is required.
  - true: A reboot is required.
  - false: A reboot is not required.

- Example normal response

      {
        "restart_required": false
      }

- Abnormal response

  For details, see Abnormal Request Results.

#### Status Codes

For details, see Status Codes.

#### Error Codes

For details, see Error Codes.

Parent topic: Parameter Configuration